Bug 892850 - RFE: Boost 1.53.0 in F19
Summary: RFE: Boost 1.53.0 in F19
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: boost
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Machata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-08 03:25 UTC by Ankur Sinha (FranciscoD)
Modified: 2015-01-13 18:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-13 18:24:23 UTC
Type: Bug


Attachments (Terms of Use)
List of dependent packages (1.32 KB, text/plain)
2013-02-09 20:18 UTC, Denis Arnaud
no flags Details
List of the Koji rebuilding tasks for the dependent packages (18.22 KB, text/plain)
2013-02-09 22:32 UTC, Denis Arnaud
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 825826 None None None Never
Red Hat Bugzilla 896310 None None None Never

Internal Links: 825826 896310

Description Ankur Sinha (FranciscoD) 2013-01-08 03:25:37 UTC
Hi,

Boost 1.52.0 is available: http://sourceforge.net/projects/boost/files/boost/1.52.0/

Version in Rawhide: 1.50.0

I also see that 1.53beta is out. Will F18 see 1.53 please? It contains odeint which I'd like to use. (Otherwise I'll package odeint separately and obsolete it once 1.53 is available in Fedora 18)

http://headmyshoulder.github.com/odeint-v2/index.html

Thanks,
Warm regards,
Ankur

Comment 1 Denis Arnaud 2013-01-08 18:36:52 UTC
Hi Ankur,

unfornately, Boost 1.52+ will be available only from Fedora 19. Indeed, we (Petr Machata and I) plan to ship Boost 1.53 with Fedora 19: https://fedoraproject.org/wiki/Features/F19Boost153

On Fedora 18, it has been decided a long time ago that 1.50 will be the version of Boost landing on the Fedora repositories: https://fedoraproject.org/wiki/Features/F18Boost150

If you want / do not mind, you can amend that bug into the feature request for Boost 1.53 on Fedora 19. Otherwise, we will have to close that bug as "WON'T IMPLEMENT".

Thanks for your understanding

Kind regards

Denis

Comment 2 Ankur Sinha (FranciscoD) 2013-01-08 21:22:06 UTC
Hi Denis,

Thanks for the info. Changing it to Boost 1.53 for F19.

Warm regards,
Ankur

Comment 3 Ankur Sinha (FranciscoD) 2013-01-17 02:06:08 UTC
Hi, 

Since boost 1.53 will only be made available in F19, I've packaged up odeint and will make it available in the meantime to F17,F18,rawhide. Once boost 1.53 is ready, we could obsolete odeint in >= F19?

Thanks,
Warm regards,
Ankur

Comment 4 Denis Arnaud 2013-01-17 10:23:35 UTC
Yes, as odeint will be part of Boost-1.53, the odeint package should be deprecated in Fedora 19+.

Comment 5 Petr Machata 2013-01-17 11:36:03 UTC
Ankur, let us know the package name when you have the package done, please.  I'll add the necessary Obsoletes: tags to F19 boost package.

Comment 6 Kalev Lember 2013-02-06 23:29:19 UTC
Looks like boost 1.53.0 was released 2 days ago. Any chance of landing the update before the F19 mass rebuild starts on Friday?

Comment 7 Petr Machata 2013-02-07 01:15:19 UTC
Yes, it's on my radar.  I intend to finish the packaging tomorrow.

Comment 8 Petr Machata 2013-02-08 01:46:29 UTC
It has just been built.

Comment 9 Denis Arnaud 2013-02-09 20:18:54 UTC
Created attachment 695563 [details]
List of dependent packages

List obtained with:
BOOST_DEPLIST=`repoquery --whatrequires boost\* --source | uniq`
rm -f boost_deplist_pack.txt; for _pack in $BOOST_DEPLIST; do echo ${_pack}| sed -e "s/^\(.\+\)-\([0-9]\+\).\([0-9a-z.]\+\)-\(.\+\)\.fc\([0-9]\+\)\(.*\)\.src\.rpm$/\1/g" >> boost_deplist_pack.txt; done
uniq boost_deplist_pack.txt > boost_deplist_pack_uniq.txt
rm -f boost_deplist_pack.txt

Comment 10 Denis Arnaud 2013-02-09 22:32:32 UTC
Created attachment 695582 [details]
List of the Koji rebuilding tasks for the dependent packages

Comment 11 Denis Arnaud 2013-02-10 11:11:51 UTC
Wiki page to track the results of the rebuild process: http://fedoraproject.org/wiki/Features/F19Boost153/RebuildProcess

Comment 12 Ankur Sinha (FranciscoD) 2013-05-06 22:29:44 UTC
Hi Petr,

The odeint package has just been approved. Can you please add the obsoletes to the boost package? The package name is "odeint-devel". Please see the review ticket in the "see also" bug list for more information. I'm going to build odeint sometime today. I'll wait for you to add the conflicts before I build for f19+ so we don't break the repos. 

Thanks,
Warm regards,
Ankur

Comment 13 Ankur Sinha (FranciscoD) 2013-05-06 22:38:53 UTC
These might need to be followed:

http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

Comment 14 Petr Machata 2013-07-26 21:17:49 UTC
I got around to this today.  I added the necessary Obsoletes: and Provides:, and checked when installing F19 boost over F18 boost and odeint, yum correctly replaces odeint-devel with boost-devel and odeint-doc with boost-doc.  I'm currently spinning an update, and will push it afterwards.

Comment 15 Michael Schwendt 2013-08-17 19:05:41 UTC
Who will block odeint from Rawhide? It has been branched to F20, rebuilt and conflicts with boost now, since the Obsoletes are not high enough anymore.

Comment 16 Petr Machata 2013-08-18 21:01:11 UTC
Hm, can this be solved at all?  Should I just put in Obsoletes: odeint?  (I.e. without version predicate.)  Or odeint < 999-999 or something absurd like that that will never be over-bumped?  Couldn't odeint instead be disabled in branches where it's provided by Boost?

Comment 17 Ankur Sinha (FranciscoD) 2013-08-19 01:41:03 UTC
(In reply to Petr Machata from comment #16)
> Hm, can this be solved at all?  Should I just put in Obsoletes: odeint? 
> (I.e. without version predicate.)  Or odeint < 999-999 or something absurd
> like that that will never be over-bumped?  Couldn't odeint instead be
> disabled in branches where it's provided by Boost?

It's been blocked from F20. I think that should fix it already? I see a rawhide build though, so you may have to just incement the obsoletes one last time.

https://fedorahosted.org/rel-eng/ticket/5722#comment:1

F19 etc. did not see a bump since there wasn't a rebuild, (and it won't see one from me either), so there shouldn't be a breakage there IMO.

Sorry for the extra work.

Thanks,
Warm regards,
Ankur


Note You need to log in before you can comment on or make changes to this bug.